Subject: Your package is on its way to you #75185383

From: "DHL Express" <[email-masked]>
Date: Thu, 18 May 2023 14:07:39 -0700

Hello
Your Galaxus Loyalty Card is on its way to you 

Your Galaxus Loyalty Card has just left the warehouse. You can track your delivery via Track & Trace from tomorrow. 

Delivery address   

unidentified 

Package shipping   

CPF 057 200 664 645 

Track shipment  

Delivery details 

You can find the current delivery status as well as all the information and receipts in your order. Please note that orders are sometimes sent in multiple shipments.. 

The following product was sent dated 18.05.2023: 

- 

- 

1×

- 

Galaxus Loyalty Card    

- 

View information  

Any questions? 

You can find answers to the most frequently asked questions in our Help Centre. 

Where can I find my orders and invoices? 

How do I return an item? 

My product is defective, what can I do? 

To the Help Center  

Kind regards 

Galaxus 

This is an automatically generated email, please do not reply. Answers to questions and further support can be found in the Helpcenter. 

Cancel shipment confirmation 

Foxmoor Bissingzeile 6427483 Helgoland 

Foxmoor 

Foxmoor: Swen Beckenbauer 

USt-ID-Nr: DE539679420, Anhalter Strasse 8967806 Teschenmoschel 

© 2023 Foxmoor GmbH